is_node_present {DiagrammeR} | R Documentation

## Determine whether a specified node is present

### Description

From a graph object of class `dgr_graph`, determine whether a specified node is present.

### Usage

    is_node_present(graph, node)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`node` | either a node ID value or a node label to test for presence in the graph.

### Value

a logical value.

### Examples

    # Create a simple graph with
    # a path of four nodes
    graph <-
      create_graph() %>%
      add_path(
        n = 4,
        type = "path",
        label = c(
          "one", "two",
          "three", "four"))

    # Determine if there is a node
    # with ID `1` in the graph
    graph %>%
      is_node_present(node = 1)

    # Determine if there is a node
    # with ID `5` in the graph
    graph %>%
      is_node_present(node = 5)

    # Determine if there is a node
    # with label `two` in the graph
    graph %>%
      is_node_present(node = "two")

[Package DiagrammeR version 1.0.1 Index]